# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Verify a business In this tutorial, you will learn how to verify up to five authorized representatives associated with a business in a single request. ## Before you begin To retrieve the status of a Validation Services request, you will need the following: - A [registered and fully onboarded](/docs/quick-start) Developer Account on the J.P. Morgan Payments Developer Portal. - An active profile that provides you with the credentials to make a request. ## Verify a business Business verification automates verification of business entity data, including business name, registered principal business address, and government issued ID number. Related parties, such as underlying beneficial owners of the business, or the authorized signer or controller, are also verified if provided by the client. To do this call a `POST` request to the `/v2/validations/entities` endpoint. The following example shows the required fields for a business's government-issued ID and phone number verification request. ```json [ { "requestId": "123e4567-e89b-12d3-a456-426614174557", "entity": { "organization": { "name": "NATIONAL TITLE AND ESCROW OF HAWAII INC", "alternateName": "NATIONAL HAWAII", "postalAddress": { "addressLine": [ "201 MERCHANT ST", "STE 2100" ], "townName": "HONOLULU", "countrySubDvsn": "HI", "country": "US", "postalCode": "96813", "county": "HONOLULU COUNTY" }, "contactDetails": { "phoneNumbers": [ { "phoneNumber": "8085550422", "phoneNumberType": "work" } ], "email": "titleEscrowHawaii@nationaltitle.com" }, "authorizedIndividuals": [ { "firstName": "JOHN", "lastName": "SMITH", "middleName": "KAY", "additionalLastName": "MARTINEZ", "namePrefix": "MR", "nameSuffix": "JR", "fullName": "MR JOHN KAY SMITH MARTINEZ JR", "postalAddress": { "addressLine": [ "123 MAIN ST", "APT 1A" ], "unitNumber": "4", "buildingNumber": "120", "buildingName": "CAPITAL TOWER", "streetName": "CLEMENT TOWN", "streetType": "AVENUE", "suburb": "CITRUS PARK", "townName": "TAMPA", "countrySubDvsn": "FL", "country": "US", "postalCode": "33607", "county": "HILLSBOROUGH", "residentialStatus": "Rent" }, "contactDetails": { "phoneNumbers": [ { "phoneNumber": "2137685675", "phoneNumberType": "home" }, { "phoneNumber": "2137685676", "phoneNumberType": "work" }, { "phoneNumber": "2137685677", "phoneNumberType": "mobile" } ], "email": "jsmith@fakemail.com" }, "identification": [ { "idType": "SSN", "id": "111223333" }, { "idType": "DRIVERS_LICENSE_USA", "id": "F123-1234-1234", "issuer": "FL", "issueDate": 20140131, "expirationDate": 20240130 }, { "idType": "BUSINESS_REGISTRATION_NUMBER", "id": "1234567" }, { "idType": "TAX_ID", "id": "123456789" } ], "gender": "M", "dateOfBirth": 19850131 } ] } } } ] ``` The following example shows a response to a business government-issued ID and phone number verification request: ```json [ { "requestId": "123e4567-e89b-12d3-a456-426614174557", "responses": [ { "codes": { "businessID": { "code": 2101, "message": "Pass" } }, "provider": "LEXISNEXIS_BUSINESS_V2" } ] } ] ``` ## Verify a business with authorized representatives Validate up to five authorized representatives associated with a business in a single request. To do this call a `POST` request to the `v2/validations/entities` endpoint. The following example shows the required fields for a business verification request including verification of authorized representatives. ```json [ { "requestId": "123e4567-e89b-12d3-a456-426614174557", "profileName": "ABusWFMapped", "entity": { "organization": { "name": "ZUM-FITNESS INC", "postalAddress": { "addressLine": [ "20 FULLER RD" ], "townName": "BRIARCLIFF MANOR", "countrySubDvsn": "NY", "country": "US", "postalCode": "10510" }, "identification": [ { "idType": "FEIN", "id": "050110265" } ], "contactDetails": { "phoneNumbers": [ { "phoneNumber": "2122000044", "phoneNumberType": "work" } ] }, "channel": "Mail", "authorizedIndividuals": [ { "firstName": "JOHN", "lastName": "MILLNER", "postalAddress": { "addressLine": [ "20 FULLER RD" ], "townName": "BRIARCLIFF MANOR", "countrySubDvsn": "NY", "country": "US", "postalCode": "10510" }, "identification": [ { "idType": "SSN", "id": "050110378" } ] } ] } } } ] ``` The following example shows a response to a business verification request that includes verification of the authorized representatives: ```json [ { "requestId": "123e4567-e89b-12d3-a456-426614174557", "responses": [ { "codes": { "businessID": { "code": 2101, "message": "Pass", "authorizedRepIDs": [ { "code": 1301, "message": "Needs Review", "sequence": 1 }, { "code": 1301, "message": "Needs Review", "sequence": 2 } ] } }, "provider": "LEXISNEXIS_BUSINESS_V2", "details": { "providerResponse": { "BIID20ResponseEx": { "response": { "Header": { "InterfaceVersion": 2.64, "TransactionId": "160025813R1333" }, "Result": { "CompanyResults": { "VerificationIndicators": { "CompanyName": "1", "StreetAddress": "1", "City": "1", "State": "1", "Zip": "1", "Phone": "1", "FEIN": "1" }, "BusinessVerification": { "Index": "50", "Description": "Input business name, address, phone and FEIN verified on a business record." }, "VerificationSummaries": { "VerificationSummary": [ { "Index": "0", "Description": "No business inputs verified on this source" }, { "Index": "0", "Description": "No business inputs verified on this source" }, { "Index": "4", "Description": "Input Business Name, Address, Phone, and FEIN verified" }, { "Index": "0", "Description": "No business inputs verified on this source" }, { "Index": "0", "Description": "No business inputs verified on this source" } ] }, "BusinessToAuthorizedRepLinkIndexes": { "BusinessToAuthorizedRepLinkIndex": [ { "Index": "50", "Description": "The input authorized rep's SSN matches the SSN of a business contact on record." }, { "Index": "50", "Description": "The input authorized rep's first and last name matches the first and last name of a business contact on record." } ] } }, "AuthorizedRepresentativeResults": { "AuthorizedRepresentativeResult": [ { "ComprehensiveVerificationIndex": 20, "RiskIndicators": { "RiskIndicator": [ { "RiskCode": "51", "Description": "The input last name is not associated with the input SSN", "Sequence": 1 }, { "RiskCode": "37", "Description": "Unable to verify name", "Sequence": 2 }, { "RiskCode": "52", "Description": "The input first name is not associated with input SSN", "Sequence": 3 }, { "RiskCode": "81", "Description": "The input date-of-birth was missing or incomplete", "Sequence": 4 }, { "RiskCode": "RS", "Description": "The input SSN was possibly randomly issued by the SSA", "Sequence": 5 }, { "RiskCode": "80", "Description": "The input phone was missing or incomplete", "Sequence": 6 } ] } }, { "ComprehensiveVerificationIndex": 50, "RiskIndicators": { "RiskIndicator": [ { "RiskCode": "81", "Description": "The input date-of-birth was missing or incomplete", "Sequence": 1 }, { "RiskCode": "RS", "Description": "The input SSN was possibly randomly issued by the SSA", "Sequence": 2 }, { "RiskCode": "80", "Description": "The input phone was missing or incomplete", "Sequence": 3 } ] } } ] } } } } } } } ] } ] ``` ## Successful response messages An HTTP status of 200 indicates a successful response. The result includes the following fields: - responseStatus - responseCode - responseMessage Refer to the [Validation Services response codes](/api/fraud-solutions/validation-services/error-codes) for more information about these fields. ## Entity Validation details To validate additional configured elements, include the following fields. These fields are in addition to the required fields above: - postalAddress.addressLine - postalAddress.townName - postalAddress.countrySubDvsn - postalAddress.country - postalAddress.postalCode To incorporate further individual details, include the following fields. These fields are in addition to the required fields above. - individual.middleName - individual.nameSuffix - individual.fullName For date of birth validation, include the following field. - individual.dateOfBirth For phone number validation, include the following fields. - contactDetails.phoneNumbers.phoneNumber - contactDetails.phoneNumbers.phoneNumberType ## Related - For more information about parameters, see [Entiry Validation parameters](/docs/fraud-solutions/validation-services/capabilities/entity-validation/entity-validation-parameters). - For more information about the status responses and error codes supported by the Validation Services API, see [Validation Services error response codes](/api/fraud-solutions/validation-services/error-codes).